<?php
/**
 * @file mod_roomReservationRoom.inc 
 * Container class for the representation of a room
 * @author Roland Hieber (roland.hieber@wilhelm-gym.net)
 * @date 28.12.2007
 * 
 * Copyright © 2007 Roland Hieber
 * 
 * Permission is hereby granted, free of charge, to any person obtaining
 * copy of this software and associated documentation files (the "Software"),
 * to deal in the Software without restriction, including without limitation
 * the rights to use, copy, modify, merge, publish, distribute, sublicense,
 * and/or sell copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following conditions:
 * 
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 */

/**
 * Container class for the representation of a room
 */
class mod_roomReservationRoom {
  
  /** (string) Name of the room */
  protected $strName;
  /** (string) Room number */
  protected $strRoomNo;
  /** (string) Floor */
  protected $strFloor;
  /** (string) Building */
  protected $strBuilding;
  /** (string) Location */
  protected $strLocation;
  
  /***************************************************************************/
  /**
   * @name Constructor
   * @{
   * Constructor.
   * @param $strName (string) Name of the room
   * @return rmRoom
   */
  public function __construct($strName, $strRoomNo = "", $strFloor = "",
    $strBuilding = "", $strLocation = "") {
    $this->setName($strName);
    $this->setRoomNo($strRoomNo);
    $this->setFloor($strFloor);
    $this->setBuilding($strBuilding);
    $this->setLocation($strLocation);
  }

  /***************************************************************************/
  /**
   * @}
   * @name Access to attributes
   * @{
   */
  
  /**
   * Set the name of the room
   * @param $str (string) 
   * @return void
   */
  public function setName($str) { $this->strName = $str; }
  
  /**
   * Set the room number
   * @param $str (string) 
   * @return void
   */
  public function setRoomNo($str) { $this->strRoomNo = $str; }
  
  /**
   * Set the floor
   * @param $str (string) 
   * @return void
   */
  public function setFloor($str) { $this->strFloor = $str; }
  
  /**
   * Set the building
   * @param $str (string) 
   * @return void
   */
  public function setBuilding($str) { $this->strBuilding = $str; }
  
  /**
   * Set the location
   * @param $str (string) 
   * @return void
   */
  public function setLocation($str) { $this->strLocation = $str; }
  
  /**
   * Get the name of the room
   * @return string
   */
  public function getName() { return $this->strName; }

  /**
   * Get the room number
   * @return string
   */
  public function geRoomNo() { return $this->strRoomNo; }

  /**
   * Get the floor
   * @return string
   */
  public function getFloor() { return $this->strFloor; }

  /**
   * Get the building
   * @return string
   */
  public function getBuilding() { return $this->strBuilding; }

  /**
   * Get the location
   * @return string
   */
  public function getLocation() { return $this->strLocation; }

  /**
   * Conversion to string
   * @return string
   */
  public function __toString() { return $this->getName(); /* name is key */ }
  /**@}*/
}
?>
